Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02264, UID# 2855
App. Status: Expired

Valid: 08/18/2020 - 08/21/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2563 (08/18/2020)

Charge Cost Quantity Total
Non-Taxable
added 08/19/2020 8:50 AM

Fee for over width permit

$30.00 x 1 $30.00
added 08/18/2020 6:28 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 08/19/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantBEN LOPEZ - 08/18/2020 6:29 PM
c5f5bbaa1b78338c1d513f151e1caa04
7b75c1437c7d90cb58e28255e828f1e6
 
#1 Permit Issuing OfficialRachel Grimm - 08/19/2020 11:18 AM
5a97fb51cd9c0262425aa20074f5a275
aff8376056aa79b9d4f1627d95114810
 
Permit has been approved. All signatures have been obtained.